# PUT /api/v1/org/{orgId}/team/{teamId}/application

**Update Team Application**

## Update Application Team

Changes the team that owns this application.

Only users that belong to this team can use this endpoint.

> 🧾 Audited
> This is recorded as `APPLICATION_MODIFIED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:team` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `teamId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Team.

## Request Body

### application/json

- `applicationId` (string) — Id of the application to be updated.
- `teamId` (string) — Team to add to application.

## Responses

### 200 — OK

#### application/json

- `applicationTeam` (applicationteam.ApplicationTeam)
  - `applicationId` (string) — application id of the updated application
  - `organizationId` (string) — organization id of the updated application
  - `teamId` (string) — team id of the updated application

#### application/x-protobuf

- `applicationTeam` (applicationteam.ApplicationTeam)
  - `applicationId` (string) — application id of the updated application
  - `organizationId` (string) — organization id of the updated application
  - `teamId` (string) — team id of the updated application

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
